function [n_o,n_e]=BBO_n(lambda)



  %% BBO, D. Eimerl, J. Appl. Phys. 62, 1968 (1987)
% 
%         ao=2.7405; bo=0.0184; co=0.0179; do=0.0155;
%         ae=2.3730; be=0.0128; ce=0.0156; de=0.0044;
% 
%         no=sqrt(ao+bo./(lambda.^2-co)-do.*lambda.^2);
%         nE=sqrt(ae+be./(lambda.^2-ce)-de.*lambda.^2);


  % BBO, D. Zhang, Opt. Comm. 184, 485 (2000) (validity: 200 nm - 3200 nm)
        ao=2.7359; bo=0.01878; co=0.01822; do=0.01471; eo=0.0006081; fo=0.00006740;
        ae=2.3753; be=0.01224; ce=0.01667; de=0.01627; ee=0.0005716; fe=0.00006305;

        n_o=sqrt(ao+bo./(lambda.^2-co)-do.*lambda.^2+eo.*lambda.^4-fo.*lambda.^6);
        n_e=sqrt(ae+be./(lambda.^2-ce)-de.*lambda.^2+ee.*lambda.^4-fe.*lambda.^6);
       
end